using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Media.Imaging;
using System.Collections.Generic;

namespace AquaCare.View
{
    public partial class TutorialsWindow : Window
    {
        private List<string> _images; // Liste der Bildpfade
        private int _currentImageIndex; // Aktueller Index des angezeigten Bildes

        public TutorialsWindow()
        {
            _images = new List<string>(); // Initialize the field to avoid null
            InitializeComponent();
            InitializeTutorial();
        }

        private void InitializeTutorial()
        {
            // Beispielbilder für das Tutorial
            _images = new List<string>
            {
                "Ressourcen/BilderTutorials/Beispiele/1.jpg",
                "Ressourcen/BilderTutorials/Beispiele/2.jpg",
                "Ressourcen/BilderTutorials/Beispiele/3.jpg"
            };
            _currentImageIndex = 0;

            UpdateTutorialContent();
        }

        private void UpdateTutorialContent()
        {
            // Aktualisiert das angezeigte Bild und den Text
            if (_images.Count > 0 && _currentImageIndex >= 0 && _currentImageIndex < _images.Count)
            {
                tutorialImage.Source = new Bitmap(_images[_currentImageIndex]);
                
            }
        }

        private void PreviousImageClick(object? sender, RoutedEventArgs e)
        {
            // Gehe zum vorherigen Bild, falls möglich
            if (_currentImageIndex > 0)
            {
                _currentImageIndex--;
                UpdateTutorialContent();
            }
        }

        private void NextImageClick(object? sender, RoutedEventArgs e)
        {
            // Gehe zum nächsten Bild, falls möglich
            if (_currentImageIndex < _images.Count - 1)
            {
                _currentImageIndex++;
                UpdateTutorialContent();
            }
        }

        private void FischeFütternClick(object? sender, RoutedEventArgs e)
        {
            // Beispiel: Lade Bilder für das "Fische füttern"-Tutorial
            _images = new List<string>
            {
                "Ressourcen/BilderTutorials/Beispiele/1.jpg",
                "Ressourcen/BilderTutorials/Beispiele/2.jpg",
                "Ressourcen/BilderTutorials/Beispiele/3.jpg"
            };
            _currentImageIndex = 0;
            UpdateTutorialContent();
        }

        private void WasserWechselnClick(object? sender, RoutedEventArgs e)
        {
            // Beispiel: Lade Bilder für das "Wasser wechseln"-Tutorial
            _images = new List<string>
            {
                "Ressourcen/BilderTutorials/Beispiele/1.jpg",
                "Ressourcen/BilderTutorials/Beispiele/2.jpg",
                "Ressourcen/BilderTutorials/Beispiele/3.jpg"
            };
            _currentImageIndex = 0;
            UpdateTutorialContent();
        }

        private void FilterReinigenClick(object? sender, RoutedEventArgs e)
        {
            // Beispiel: Lade Bilder für das "Filter reinigen"-Tutorial
            _images = new List<string>
            {
                "Ressourcen/BilderTutorials/Beispiele/1.jpg",
                "Ressourcen/BilderTutorials/Beispiele/2.jpg",
                "Ressourcen/BilderTutorials/Beispiele/3.jpg"
            };
            _currentImageIndex = 0;
            UpdateTutorialContent();
        }
    }
}
